import _defineProperty from '@babel/runtime/helpers/defineProperty';

/**
 * Detector classes obtain list of user's locales. It can be from browser, url, cookies, storage, ... whatever you want
 * Get locales method always return array of locales.
 */
class Detector {}

/**
 * With FromListDetector you can set locales by your own.
 */

class FromListDetector extends Detector {
  /**
   * @param {Array<string>} locales - list of locales
   */
  constructor(locales) {
    super();

    _defineProperty(this, "locales", void 0);

    this.locales = locales;
  }
  /**
   * Get list your of locales.
   *
   * @returns {Array<string>} list of your locales
   */


  getLocales() {
    return this.locales;
  }

}

export default FromListDetector;
