'use strict';

/**
 * Transformer are used to change format of locale (eg. convert it to uppercase), create fallbacks or delete invalid items.
 */
class Transformer {}

/**
 * Transform all locales to languages only with region variant.
 */

class LanguageOnlyTransformer extends Transformer {
  /**
   * Transform locales to languages only with region variant.
   *
   * @param {Array<string>} locales - list of locales
   * @returns {Array<string>} - list of languages
   */
  transform(locales) {
    return locales.map(locale => {
      return locale.split('-')[0];
    });
  }

}

module.exports = LanguageOnlyTransformer;
